Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2074531 - python-py-gfm fails to build with Python 3.11: re.error: global flags not at the start of the expression at position 6
Summary: python-py-gfm fails to build with Python 3.11: re.error: global flags not at ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-py-gfm
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2099057 (view as bug list)
Depends On:
Blocks: F38FTBFS F38FailsToInstall PYTHON3.11 F37FTBFS F37FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-04-12 12:29 UTC by Tomáš Hrnčiar
Modified: 2023-09-15 01:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-16 12:00:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2022-04-12 12:29:41 UTC
python-py-gfm fails to build with Python 3.11.0a6.

======================================================================
ERROR: test_autolinks_ftp_links (test_autolink.TestAutolink.test_autolinks_ftp_links)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_autolink.py", line 38, in test_autolinks_ftp_links
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_autolinks_obvious_links (test_autolink.TestAutolink.test_autolinks_obvious_links)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_autolink.py", line 17, in test_autolinks_obvious_links
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_autolinks_uppercase_links (test_autolink.TestAutolink.test_autolinks_uppercase_links)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_autolink.py", line 24, in test_autolinks_uppercase_links
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_autolinks_www_links (test_autolink.TestAutolink.test_autolinks_www_links)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_autolink.py", line 31, in test_autolinks_www_links
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_doesnt_autolink_non_www_links (test_autolink.TestAutolink.test_doesnt_autolink_non_www_links)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_autolink.py", line 45, in test_doesnt_autolink_non_www_links
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_automails_mails_with_weird_chars (test_automail.TestAutomail.test_automails_mails_with_weird_chars)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_automail.py", line 24, in test_automails_mails_with_weird_chars
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/automail.py", line 53, in extendMarkdown
    automail = AutomailPattern(MAIL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 8

======================================================================
ERROR: test_automails_obvious_mails (test_automail.TestAutomail.test_automails_obvious_mails)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_automail.py", line 17, in test_automails_obvious_mails
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/automail.py", line 53, in extendMarkdown
    automail = AutomailPattern(MAIL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 8

======================================================================
ERROR: test_automails_uppercase_mails (test_automail.TestAutomail.test_automails_uppercase_mails)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_automail.py", line 31, in test_automails_uppercase_mails
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/automail.py", line 53, in extendMarkdown
    automail = AutomailPattern(MAIL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 8

======================================================================
ERROR: test_autolink (test_gfm.TestGfm.test_autolink)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 105, in test_autolink
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_automail (test_gfm.TestGfm.test_automail)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 112, in test_automail
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_fenced_code (test_gfm.TestGfm.test_fenced_code)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 25, in test_fenced_code
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6



RPM build errors:
======================================================================
ERROR: test_hilite (test_gfm.TestGfm.test_hilite)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 86, in test_hilite
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_nl2br (test_gfm.TestGfm.test_nl2br)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 30, in test_nl2br
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_semi_sane_lists (test_gfm.TestGfm.test_semi_sane_lists)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 91, in test_semi_sane_lists
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_smart_emphasis (test_gfm.TestGfm.test_smart_emphasis)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 39, in test_smart_emphasis
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_spaced_link (test_gfm.TestGfm.test_spaced_link)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 126, in test_spaced_link
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_strikethrough (test_gfm.TestGfm.test_strikethrough)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 119, in test_strikethrough
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

======================================================================
ERROR: test_table (test_gfm.TestGfm.test_table)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_gfm.py", line 46, in test_table
    self.assert_renders("""
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/tests/test_case.py", line 32, in assert_renders
    expected, markdown.markdown(source, extensions=extensions))
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 493, in markdown
    md = Markdown(*args, **kwargs)
         ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 158, in __init__
    self.registerExtensions(extensions=kwargs.get('extensions', []),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/__init__.py", line 187, in registerExtensions
    ext.extendMarkdown(self, globals())
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_gfm/__init__.py", line 52, in extendMarkdown
    PartialGithubFlavoredMarkdownExtension.extendMarkdown(self, md,
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/mdx_partial_gfm/__init__.py", line 67, in extendMarkdown
    gfm.AutolinkExtension().extendMarkdown(md, md_globals)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/py-gfm-0.1.4/gfm/autolink.py", line 76, in extendMarkdown
    autolink = AutolinkPattern(URL_RE, md)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/markdown/inlinepatterns.py", line 204, in __init__
    self.compiled_re = re.compile(r"^(.*?)%s(.*)$" % pattern,
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 227, in compile
    return _compile(pattern, flags)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/__init__.py", line 279, in _compile
    p = _compiler.compile(pattern, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_compiler.py", line 798, in compile
    p = _parser.parse(p, flags)
        ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 963, in parse
    p = _parse_sub(source, state, flags & SRE_FLAG_VERBOSE, 0)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 447, in _parse_sub
    itemsappend(_parse(source, state, verbose, nested + 1,
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.11/re/_parser.py", line 822, in _parse
    raise source.error('global flags not at the start '
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
re.error: global flags not at the start of the expression at position 6

Global inline flags (e.g. (?i)) can now only be used at the start of the regular expressions. Using them not at the start of expression was deprecated since Python 3.6. (Contributed by Serhiy Storchaka in bpo-47066.)

https://bugs.python.org/issue?@action=redirect&bpo=47066
https://docs.python.org/3.11/whatsnew/3.11.html

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.11/fedora-rawhide-x86_64/04187418-python-py-gfm/

For all our attempts to build python-py-gfm with Python 3.11, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.11/package/python-py-gfm/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.11:
https://copr.fedorainfracloud.org/coprs/g/python/python3.11/

Let us know here if you have any questions.

Python 3.11 is planned to be included in Fedora 37. To make that update smoother, we're building Fedora packages with all pre-releases of Python 3.11.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2022-06-20 10:19:31 UTC
*** Bug 2099057 has been marked as a duplicate of this bug. ***

Comment 2 Miro Hrončok 2022-06-27 14:53:26 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Miro Hrončok 2022-07-18 22:26:17 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Ben Cotton 2022-08-09 13:14:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Miro Hrončok 2022-08-16 12:00:28 UTC
Automation has figured out the package is retired in Fedora 37.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement

Comment 6 Red Hat Bugzilla 2023-09-15 01:53:52 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 365 days


Note You need to log in before you can comment on or make changes to this bug.